Bug 173631 - [new port] graphics/converseen
[new port] graphics/converseen
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 17:30 UTC by fernando.apesteguia
Modified: 2012-12-29 18:50 UTC (History)
0 users

See Also:


Attachments
file.shar (2.77 KB, text/plain)
2012-11-14 17:30 UTC, fernando.apesteguia
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fernando.apesteguia 2012-11-14 17:30:00 UTC
This patch adds graphics/converseen. Converseen[1] is a Qt-based application to convert different image formats. It uses the Magick++ library

[1] http://converseen.faster3ck.net/index.php?page=1

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2012-11-15 01:45:31 UTC
State Changed
From-To: open->feedback

The COMMENT does not seem to match the Synopsis here?
Comment 2 fernando.apesteguia 2012-11-22 06:55:40 UTC
This is the good one, sorry.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       converseen
#       converseen/pkg-descr
#       converseen/Makefile
#       converseen/distinfo
#       converseen/pkg-plist
#
echo c - converseen
mkdir -p converseen > /dev/null 2>&1
echo x - converseen/pkg-descr
sed 's/^X//' >converseen/pkg-descr << '29cd59923cd5f78fab07a906cf6661b6'
XConverseen is an open source project written in C++ with the powerful Qt4
Xlibraries. Thanks to the Magick++ image libraries it supports more than 100
Ximage formats. You can convert and resize an unlimited number of images to
Xany of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD,
XPNG, Postscript, SVG, and TIFF.
X
XWWW: http://converseen.sourceforge.net
29cd59923cd5f78fab07a906cf6661b6
echo x - converseen/Makefile
sed 's/^X//' >converseen/Makefile << 'bb7d823d9f780f8c65706a3ceb981b85'
X# New ports collection makefile for:   converseen
X# Date created:                Nov 9 2012
X# Whom:                        Fernando Apesteguia
<fernando.apesteguia@gmail.com>
X#
X# $FreeBSD$
X
XPORTNAME=              converseen
XPORTVERSION=           0.5.1
XCATEGORIES=            graphics
XMASTER_SITES=          ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=    ${PORTNAME}/Converseen/Converseen%200.5/${PORTVERSION}
X
XMAINTAINER=            fernando.apesteguia@gmail.com
XCOMMENT=               An easy to use graphics conversion utility
X
XLIB_DEPENDS=           Magick++:${PORTSDIR}/graphics/ImageMagick
X
XWRKSRC=                        ${WRKDIR}/${DISTNAME}
X
XUSE_CMAKE=             yes
XUSE_BZIP2=             yes
XUSE_QT4=               corelib gui moc_build qmake_build rcc_build uic_build
X
X.include <bsd.port.mk>
bb7d823d9f780f8c65706a3ceb981b85
echo x - converseen/distinfo
sed 's/^X//' >converseen/distinfo << 'ad851af747c7e0ce6cd51e2f2d07386d'
XSHA256 (converseen-0.5.1.tar.bz2) =
df8adf203a5c81c0eab6efed0eaa36636e1346c5859408ae3d9ef93b70908e93
XSIZE (converseen-0.5.1.tar.bz2) = 210538
ad851af747c7e0ce6cd51e2f2d07386d
echo x - converseen/pkg-plist
sed 's/^X//' >converseen/pkg-plist << '2065fdbb4921ef6185b8013178dc8f49'
Xbin/converseen
Xshare/applications/converseen.desktop
Xshare/converseen/converseen_cs_CZ.qm
Xshare/converseen/converseen_de_DE.qm
Xshare/converseen/converseen_es_CL.qm
Xshare/converseen/converseen_fr_FR.qm
Xshare/converseen/converseen_hu_HU.qm
Xshare/converseen/converseen_it_IT.qm
Xshare/converseen/converseen_pl_PL.qm
Xshare/converseen/converseen_pt_BR.qm
Xshare/converseen/converseen_tr_TR.qm
Xshare/kde4/services/ServiceMenus/converseen_import.desktop
Xshare/pixmaps/converseen.png
X@dirrm share/kde4/services/ServiceMenus
X@dirrm share/kde4/services
X@dirrm share/kde4
X@dirrm share/converseen
X@dirrm share/applications
2065fdbb4921ef6185b8013178dc8f49
exit

In case the file is mangled, you can get it from:

https://www.dropbox.com/s/1ywp17h3mahcduc/converseen.shar.txt
Comment 3 dfilter freebsd_committer 2012-12-29 18:41:39 UTC
Author: pawel
Date: Sat Dec 29 18:41:30 2012
New Revision: 309628
URL: http://svnweb.freebsd.org/changeset/ports/309628

Log:
  Converseen is an open source project written in C++ with the powerful Qt4
  libraries. Thanks to the Magick++ image libraries it supports more than 100
  image formats. You can convert and resize an unlimited number of images to
  any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD,
  PNG, Postscript, SVG, and TIFF.
  
  WWW: http://converseen.sourceforge.net
  
  PR:		ports/173631
  Submitted by:	Fernando Apesteguia <fernando.apesteguia@gmail.com>

Added:
  head/graphics/converseen/
  head/graphics/converseen/Makefile   (contents, props changed)
  head/graphics/converseen/distinfo   (contents, props changed)
  head/graphics/converseen/pkg-descr   (contents, props changed)
  head/graphics/converseen/pkg-plist   (contents, props changed)
Modified:
  head/graphics/Makefile

Modified: head/graphics/Makefile
==============================================================================
--- head/graphics/Makefile	Sat Dec 29 18:28:33 2012	(r309627)
+++ head/graphics/Makefile	Sat Dec 29 18:41:30 2012	(r309628)
@@ -99,6 +99,7 @@
     SUBDIR += comix
     SUBDIR += commons-utilities
     SUBDIR += compupic
+    SUBDIR += converseen
     SUBDIR += corona
     SUBDIR += cosmoplayer
     SUBDIR += crw

Added: head/graphics/converseen/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/converseen/Makefile	Sat Dec 29 18:41:30 2012	(r309628)
@@ -0,0 +1,35 @@
+# Created by: Fernando Apesteguia <fernando.apesteguia@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	converseen
+PORTVERSION=	0.5.1
+CATEGORIES=	graphics
+MASTER_SITES=	SF/${PORTNAME}/Converseen/Converseen%200.5/${PORTVERSION}
+
+MAINTAINER=	fernando.apesteguia@gmail.com
+COMMENT=	Easy to use graphics conversion utility
+
+LIB_DEPENDS=	pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
+		pcre:${PORTSDIR}/devel/pcre \
+		Magick++:${PORTSDIR}/graphics/ImageMagick \
+		lcms2:${PORTSDIR}/graphics/lcms2 \
+		lqr-1:${PORTSDIR}/graphics/liblqr-1 \
+		png15:${PORTSDIR}/graphics/png \
+		fftw3:${PORTSDIR}/math/fftw3 \
+		freetype:${PORTSDIR}/print/freetype2 \
+		expat:${PORTSDIR}/textproc/expat2 \
+		xcb:${PORTSDIR}/x11/libxcb \
+		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
+
+USE_BZIP2=	yes
+USE_AUTOTOOLS=	libltdl
+USE_CMAKE=	yes
+USE_ICONV=	yes
+USE_GETTEXT=	yes
+USE_XORG=	ice sm x11 xau xdmcp xext xrender xt
+USE_QT4=	corelib gui linguist_build moc_build qmake_build \
+		rcc_build uic_build
+USE_GNOME=	glib20
+MAKE_JOBS_SAFE=	yes
+
+.include <bsd.port.mk>

Added: head/graphics/converseen/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/converseen/distinfo	Sat Dec 29 18:41:30 2012	(r309628)
@@ -0,0 +1,2 @@
+SHA256 (converseen-0.5.1.tar.bz2) = df8adf203a5c81c0eab6efed0eaa36636e1346c5859408ae3d9ef93b70908e93
+SIZE (converseen-0.5.1.tar.bz2) = 210538

Added: head/graphics/converseen/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/converseen/pkg-descr	Sat Dec 29 18:41:30 2012	(r309628)
@@ -0,0 +1,7 @@
+Converseen is an open source project written in C++ with the powerful Qt4
+libraries. Thanks to the Magick++ image libraries it supports more than 100
+image formats. You can convert and resize an unlimited number of images to
+any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD,
+PNG, Postscript, SVG, and TIFF.
+
+WWW: http://converseen.sourceforge.net

Added: head/graphics/converseen/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/converseen/pkg-plist	Sat Dec 29 18:41:30 2012	(r309628)
@@ -0,0 +1,17 @@
+bin/converseen
+share/applications/converseen.desktop
+share/converseen/converseen_cs_CZ.qm
+share/converseen/converseen_de_DE.qm
+share/converseen/converseen_es_CL.qm
+share/converseen/converseen_fr_FR.qm
+share/converseen/converseen_hu_HU.qm
+share/converseen/converseen_it_IT.qm
+share/converseen/converseen_pl_PL.qm
+share/converseen/converseen_pt_BR.qm
+share/converseen/converseen_tr_TR.qm
+share/kde4/services/ServiceMenus/converseen_import.desktop
+share/pixmaps/converseen.png
+@dirrmtry share/kde4/services/ServiceMenus
+@dirrmtry share/kde4/services
+@dirrmtry share/kde4
+@dirrm share/converseen
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2012-12-29 18:41:47 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!